#ifndef _DEFTYP_H
#define _DEFTYP_H
#include <vector>
#include <string>

#include <infratypes.h>

struct MonitorInfo {
    double temper_ins;
    double temper_max;
    double temper_min;
    double wspeed_ins;
    double wspeed_max;
    double wspeed_min;
    double wdirec_ins;
    double wdirec_max;
    double wdirec_min;
    double rhumid_ins;
    double rhumid_max;
    double rhumid_min;
    double dewpnt_ins;
    double dewpnt_max;
    double dewpnt_min;
    double press_ins;
    double press_max;
    double press_min;
    int    rain;
    MonitorInfo() :temper_ins(0), temper_max(0), temper_min(0),
                   wspeed_ins(0), wspeed_max(0), wspeed_min(0),
                   wdirec_ins(0), wdirec_max(0), wdirec_min(0),
                   rhumid_ins(0), rhumid_max(0), rhumid_min(0),
                   dewpnt_ins(0), dewpnt_max(0), dewpnt_min(0),
                   press_ins(0),  press_max(0), press_min(0), rain(0) {}
};

#endif
