#ifndef _METEO_H
#define _METEO_H

#include <string>

#include "serial.h"
#include "configs.h"
#include "deftypes.h"

class Meteo {
    Serial port;
    void means( std::vector<MonitorInfo>&, MonitorInfo& );
    void mmaxs( std::vector<MonitorInfo>&, MonitorInfo& );
    void mmins( std::vector<MonitorInfo>&, MonitorInfo& );
public:
    Meteo( Config&, const std::string& d ) ;
    ~Meteo();
    bool connection(){return true;}
    int  getData( MonitorInfo& );
    void accumulate( std::vector<MonitorInfo>&, MonitorInfo& );
};

#endif
