#ifndef _TSERIAL_H
#define _TSERIAL_H

#include <string>
#include <termios.h>
class Serial {
    static const int max_inp = 256;
    termios old_conf;
    termios serial_conf;
    int fd;
    char inp_buff[max_inp];
    std::string last_sent;
    std::string last_repl;
public:
    Serial( const std::string& );
    ~Serial();
    size_t send( std::string& );
    std::string read( size_t );
    std::string ask( std::string&, size_t );
    std::string ask( std::string&, size_t, int );
    std::string ask( std::string&, char );
    void up_baude_rate();
    void down_baude_rate();
};

#endif
